#include <stdio.h>

float divf (float a, float b) {
    return a / b;
}

float divfr (float a, float b) {
    float result = a / b;
    return result;
}

double div (double a, double b) {
    return a / b;
}

double divr (double a, double b) {
    double result = a / b;
    return result;
}

long double divl (long double a, long double b) {
    return a / b;
}

long double divlr (long double a, long double b) {
    long double result = a / b;
    return result;
}

int main (int argc, char **argv) {
    float       af = 2877.0f; float       bf = 1000000.0f;
    double      a  = 2877.0 ; double      b  = 1000000.0 ;
    long double al = 2877.0L; long double bl = 1000000.0L;

    printf ("float      : %.30f | %.30f | %.30f\n",    0.002877f, divf (af, bf), divfr (af, bf));
    printf ("double     : %.30f | %.30f | %.30f\n",    0.002877 , div  (a , b ), divr  (a , b ));
    printf ("long double: %.30Lf | %.30Lf | %.30Lf\n", 0.002877L, divl (al, bl), divlr (al, bl));

    return 0;
}
